'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = filter;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This module is responsible for filtering out errors that are 'turned off' by ESLint
 *
 * Filtering should be disabled by default. Ideally, this kind of feature would be
 * handled by Flow. Note that this is a temporary solution.
 *
 * @TODO
 */

function determineRuleType(description) {
  if (description.toLowerCase().includes('missing annotation')) {
    return 'missing-annotation';
  }

  return 'default';
}

function filter(messages) {
  return messages.filter(function (e) {
    return e !== false && e !== 'false';
  }).map(function (e) {
    return (0, _extends3.default)({}, e, {
      type: determineRuleType(e.message)
    });
  });
}
module.exports = exports['default'];